TTTT Analysis 0.1

Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | List of all members
fv::WrapperVector< T > Class Template Reference

A std::vector wrapper around a C-style array. More...

`#include <value.hpp>`

Inheritance diagram for fv::WrapperVector< T >:
[legend]
Collaboration diagram for fv::WrapperVector< T >:
[legend]

## Public Member Functions
| WrapperVector (Value< int > *size, Value< T *> *data, const std::string &alias="")
Public Member Functions inherited from fv::DerivedValue< std::vector< T > >
| DerivedValue (const std::string &name, const std::string &alias="")
void | log ()
std::vector< T > & | get_value ()
| Calculate, if necessary, and return the value held by this object.
Public Member Functions inherited from fv::Value< std::vector< T > >
| Value (const std::string &name, const std::string &alias="")
void | enable_logging (const std::function< std::string(std::vector< T >)> &value_to_string=[](std::vector< T >){return "";})
void | disable_logging ()

## Static Public Member Functions
static std::string | fmt_name (Value< int > *size, Value< T *> *data)

## Private Member Functions
void | update_value ()
| Updates the internal value. More...

## Private Attributes
Value< int > * | size
Value< T * > * | data

## Additional Inherited Members
Protected Attributes inherited from fv::DerivedValue< std::vector< T > >
std::vector< T > | value
Protected Attributes inherited from fv::Value< std::vector< T > >
std::function< std::string(std::vector< T >)> | value_to_string

## Detailed Description

### template<typename T>
class fv::WrapperVector< T >

A std::vector wrapper around a C-style array.

In order to make some of the higher-level Value types easier to work with, it is a good idea to wrap all arrays in the original data source with std::vector objects. To do this, it is necessary to supply both a Value object containing the array itself as well as another Value object containing the size of that array. Currently, update_value will simply copy the contents of the array into the interally held vector.

## Member Function Documentation

## ◆ update_value()

template<typename T>

void fv::WrapperVector< T >::update_value | ( |  | ) |
| inline private virtual

Updates the internal value.

This function should be overridden by any child class to do the actual work of updating value based on whatever rules the class chooses. Normally, this consists of geting the values from some associated Value objects, doing some calculation on them, and storing the result in value.

Implements fv::DerivedValue< std::vector< T > >.

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- /home/caleb/Sources/TTTT/filval/value.hpp